"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const badge = require("./src/badge.js");
const index = require("../dynamics/index.js");
const VxeBadge = Object.assign({}, badge.default, {
  install(app) {
    app.component(badge.default.name, badge.default);
  }
});
index.dynamicApp.use(VxeBadge);
index_esm.VxeUI.component(badge.default);
const Badge = VxeBadge;
exports.Badge = Badge;
exports.VxeBadge = VxeBadge;
exports.default = VxeBadge;
